cascading.util

## Interface CloseableIterator<V>

- All Superinterfaces:
    AutoCloseable, Closeable, Iterator<V>
  All Known Implementing Classes:
    MultiRecordReaderIterator, RecordReaderIterator, SingleCloseableInputIterator, SingleValueCloseableIterator, TimedIterator

      public interface CloseableIterator<V>
      extends Iterator<V>, Closeable

  Interface CloseableIterator is a helper interface granting an Iterator a close method.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

    - ### Methods inherited from interface java.io.Closeable

      `close`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.